import { ActiveRuleDefinition, LegacyLinterConfig, LegacyRuleDefinition, LinterConfig, RuleConfig, RuleDefinition } from "./read-config";
export default class Config {
    rules: Record<string, RuleDefinition>;
    activated_rules: Record<string, ActiveRuleDefinition>;
    config: LinterConfig;
    legacy_config: LegacyLinterConfig;
    constructor(rules?: LegacyRuleDefinition[], config?: LinterConfig);
    /**
     * Activate rules from a config object
     */
    activateRules(config: LinterConfig): void;
    /**
     * Get a rule by name.
     */
    getRule(rule_name: string): RuleDefinition | never;
    setRuleConfig(rule: RuleDefinition, rules_config: Record<string, RuleConfig>): void | never;
    generateLegacyConfig(config: any): LegacyLinterConfig;
}
//# sourceMappingURL=config.d.ts.map