"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "attr-no-dup";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node)) {
        const attributes_map = new Map();
        node.attributes.forEach((attribute) => {
            const name = attribute.name.chars.toLowerCase();
            if (attributes_map.has(name)) {
                report({
                    code: "E003",
                    position: attributes_map.get(name).loc,
                    meta: {
                        data: {
                            attribute: name
                        }
                    }
                });
            }
            else {
                attributes_map.set(name, attribute);
            }
        });
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
