"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "attr-validate";
function get_open_raw({ open }) {
    const open_raw = open.raw;
    return open_raw
        .replace(/^</, "")
        .replace(new RegExp(`^${open.chars} `), "")
        .replace(/\/?>$/, "");
}
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node)) {
        /* eslint-disable-next-line no-useless-escape */
        const attrRegex = /^\s*([^ "'>=\^]+(\s*=\s*(("[^"]*")|('[^']*')|([^ \t\n"']+)))?\s+)*$/;
        const attributes_raw = get_open_raw(node);
        // Get rid of `+ " "`
        if (attrRegex.test(attributes_raw + " ") === false) {
            report({
                code: "E049",
                position: node.open.loc
            });
        }
    }
}
// TODO: check if this rule still work as expected
exports.default = {
    name: RULE_NAME,
    lint
};
