"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "button-req-content";
function has_text_content(node) {
    let result = false;
    if ((0, dom_utils_1.is_comment_node)(node)) {
        return result;
    }
    if ((0, dom_utils_1.is_text_node)(node)) {
        return node.data.trim().length > 0;
    }
    for (let i = 0; i < node.children.length; i++) {
        result = has_text_content(node.children[i]);
        if (result === true) {
            break;
        }
    }
    return result;
}
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "button") {
        if (has_text_content(node) === false && (0, dom_utils_1.has_non_empty_attribute)(node, "aria-label") === false) {
            report({
                code: "E061",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
