"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "doctype-html5";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_directive_node)(node) && node.name.toUpperCase() === "!DOCTYPE") {
        // NOTE: this does not support legacy strings or obsolete permitted doctypes
        const html5_doctype = /^!DOCTYPE[ \t\n\f]+html[ \t\n\f]*$/i;
        if (!html5_doctype.test(node.data)) {
            report({
                code: "E008",
                position: node.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint,
    filter: ["directive"] // remove filter
};
