"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "fieldset-contains-legend";
function lint(element, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(element) && element.name === "fieldset") {
        const has_legend = element.children.some((node) => node.name === "legend");
        if (has_legend === false) {
            report({
                code: "E063",
                position: element.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
