"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "fig-req-figcaption";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node)) {
        if (node.name === "figure") {
            // get the children of this figure
            const children = node.children;
            const has_caption = children.find((child) => child.name === "figcaption");
            if (has_caption === undefined) {
                report({
                    code: "E032",
                    position: node.open.loc
                });
            }
        }
        if (node.name === "figcaption") {
            if (!node.parent || node.parent.name !== "figure") {
                report({
                    code: "E032",
                    position: node.open.loc
                });
            }
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
