"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "head-req-title";
// TODO: Should return an error if title does not have a text node has a child
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "head") {
        const titles = node.children.filter((child) => child.name === "title");
        const has_title_with_children = titles.some(({ children }) => children.length > 0);
        if (has_title_with_children === false) {
            report({
                code: "E027",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
