"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "head-valid-content-model";
const legal_children = ["base", "link", "meta", "noscript", "script", "style", "template", "title"];
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "head") {
        node.children
            .filter((child) => (0, dom_utils_1.is_tag_node)(child) && legal_children.indexOf(child.name) < 0)
            .forEach((child) => report({
            code: "E047",
            position: child.open.loc
        }));
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
