"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "html-valid-content-model";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "html") {
        let has_head = false;
        let has_body = false;
        node.children
            .filter((child) => child.type === "tag")
            .forEach((child) => {
            // E044: Illegal element
            // E045: Duplicated tag
            // E046: Head and body tags out of order
            // TODO: Clean
            let err;
            if (child.name === "head") {
                err = has_body ? "E046" : has_head ? "E045" : undefined;
                has_head = true;
            }
            else if (child.name === "body") {
                err = has_body ? "E045" : undefined;
                has_body = true;
            }
            else {
                err = "E044";
            }
            if (err) {
                report({
                    code: err,
                    position: child.open.loc
                });
            }
        });
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
