"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const class_style_1 = tslib_1.__importDefault(require("../class-style"));
const id_style_1 = tslib_1.__importDefault(require("../id-style"));
const validate_option_1 = require("../../validate_option");
// TODO: Deprecate this rule
const RULE_NAME = "id-class-style";
function lint(node, _config, { report, rules, global_config }) {
    if (Boolean(rules["id-style"]) === false && rules["id-class-style"]) {
        id_style_1.default.lint(node, global_config["id-class-style"], {
            report,
            rules,
            global_config
        });
    }
    if (Boolean(rules["class-style"]) === false && rules["id-class-style"]) {
        class_style_1.default.lint(node, global_config["id-class-style"], {
            report,
            rules,
            global_config
        });
    }
}
exports.default = {
    name: RULE_NAME,
    validateConfig: (0, validate_option_1.create_list_value_validator)(RULE_NAME, ["lowercase", "underscore", "dash", "camel", "bem"]),
    lint
};
