"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "img-req-alt";
function validateConfig(option) {
    if (typeof option === "string" && option !== "allownull") {
        throw new Error(`Configuration for rule "${RULE_NAME}" is invalid: Only "allownull" is accepted as string value`);
    }
    if (typeof option !== "boolean" && typeof option !== "string") {
        throw new Error(`Configuration for rule "${RULE_NAME}" is invalid: Expected boolean got ${typeof option}`);
    }
    return option;
}
function lint(node, config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "img") {
        if ((0, dom_utils_1.has_non_empty_attribute)(node, "alt", config === "allownull") === false) {
            report({
                code: "E013",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    validateConfig,
    lint
};
