"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "input-btn-req-value-or-title";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "input") {
        const type = (0, dom_utils_1.attribute_value)(node, "type");
        const value = (0, dom_utils_1.attribute_value)(node, "value");
        const title = (0, dom_utils_1.attribute_value)(node, "title");
        if (!type || ["button", "submit", "reset"].indexOf(type.chars) === -1) {
            return;
        }
        if (!(value || title || (0, dom_utils_1.has_non_empty_attribute)(node, "aria-label"))) {
            report({
                code: "E060",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
// Valid for axe-core
/*
<input type="button" value="button"/>

<input type="button" title="button" />

<input type="button" aria-labelledby="foo">
<span id="foo">Button</span>

<input type="button" aria-label="button" />

*/
