"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "input-radio-req-name";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "input") {
        // if it's not a radio-type input, ignore it
        if ((0, dom_utils_1.attribute_has_value)(node, "type", "radio") && (0, dom_utils_1.has_non_empty_attribute)(node, "name") === false) {
            report({
                code: "E034",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
