"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "label-no-enc-textarea-or-select";
function find_select_textarea(node) {
    if ((0, dom_utils_1.is_tag_node)(node) && ["select", "textarea"].indexOf(node.name) !== -1) {
        return true;
    }
    return node.children ? node.children.some(find_select_textarea) : false;
}
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "label") {
        const has_nested_select = node.children.some(find_select_textarea);
        if (has_nested_select) {
            report({
                code: "E062",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
