"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "link-req-noopener";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "a") {
        const noopen = /(^| )(noopener|noreferrer)( |$)/;
        if ((0, dom_utils_1.attribute_has_value)(node, "target", "_blank") && (0, dom_utils_1.attribute_has_value)(node, "rel", noopen) === false) {
            report({
                code: "E058",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
// <base target="_blank" />
// https://html.com/attributes/base-target/
