"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "table-req-caption";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "table") {
        const has_caption = node.children.some((child) => (0, dom_utils_1.is_tag_node)(child) && child.name === "caption");
        if (has_caption === false) {
            report({
                code: "E031",
                position: node.open.loc
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
