"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "table-req-header";
function lint(node, _config, { report }) {
    var _a, _b, _c;
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "table") {
        const children = node.children;
        let childIndex = 0;
        let child;
        // ffwd to first rnodevant table child
        while ((child = children[childIndex]) &&
            (!(0, dom_utils_1.is_tag_node)(child) || // skip text nodes
                child.name.match(/(caption|colgroup)/i))) {
            childIndex++;
        }
        if ((_a = child === null || child === void 0 ? void 0 : child.name) === null || _a === void 0 ? void 0 : _a.match(/thead/i)) {
            return;
        }
        if ((_b = child === null || child === void 0 ? void 0 : child.name) === null || _b === void 0 ? void 0 : _b.match(/tr/i)) {
            // Check if any child in first row is `<th>`, not just first child (which could be a text node)
            for (let i = 0, l = child.children.length; i < l; i++) {
                if (((_c = child.children[i]) === null || _c === void 0 ? void 0 : _c.name) === "th") {
                    return;
                }
            }
        }
        report({
            code: "E035",
            position: node.open.loc
        });
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
