"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "tag-close";
function lint(node, _config, { report }) {
    if (!(0, dom_utils_1.is_tag_node)(node) || (0, dom_utils_1.is_void_node)(node)) {
        return;
    }
    const { name, close } = node;
    // If the tag did not close itself
    // remove toLowerCase
    if (!close || name.toLowerCase() !== close.chars.toLowerCase()) {
        report({
            code: "E042",
            position: node.open.loc
        });
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
