"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "tag-name-lowercase";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && /[A-Z]/.test(node.open.chars)) {
        report({
            code: "E017",
            position: node.open.loc,
            meta: {
                data: {
                    name: node.name
                }
            }
        });
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
