"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "tag-name-match";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node)) {
        const { name, open, close } = node;
        // If the tag did not close itself
        // remove toLowerCase
        if (!close || name.toLowerCase() !== close.chars.toLowerCase()) {
            return;
        }
        if (open.chars !== close.chars) {
            report({
                code: "E030",
                position: close.loc,
                meta: {
                    data: {
                        open
                    }
                }
            });
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
