"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_utils_1 = require("@linthtml/dom-utils");
const RULE_NAME = "title-no-dup";
function lint(node, _config, { report }) {
    if ((0, dom_utils_1.is_tag_node)(node) && node.name === "head") {
        const titles = node.children.filter((child) => (0, dom_utils_1.is_tag_node)(child) && child.name === "title");
        if (titles.length > 1) {
            titles.slice(1).forEach((title) => report({
                code: "E028",
                position: title.open.loc,
                meta: {
                    data: {
                        num: titles.length
                    }
                }
            }));
        }
    }
}
exports.default = {
    name: RULE_NAME,
    lint
};
