"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
const { isRegExp } = util_1.types;
const formats = {
    lowercase: /^[a-z\d]+$/,
    underscore: /^[a-z\d]+(_[a-z\d]+)*$/,
    dash: /^[a-z\d]+(-[a-z\d]+)*$/,
    camel: /^[a-zA-Z\d]*$/,
    bem: /^[a-z][a-z\d]*(-[a-z\d]+)*(__[a-z\d]+(-[a-z\d]+)*)?(--[a-z\d]+(-[a-z\d]+)*)?$/
};
function getRegExp(val) {
    if (isRegExp(val)) {
        return val;
    }
    return formats[val] || new RegExp(`^${val}$`, "gm");
}
function default_1(format, value) {
    // return error is provided format does not exist
    const R = getRegExp(format);
    return R.test(value);
}
exports.default = default_1;
